Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\FieldTypeParserInterface Interface Reference
Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\FieldTypeParserInterface:

## Public Member Functions
| getFieldTypeIdentifier ()
| Returns the fieldType identifier the config parser works for. More...
| addFieldTypeSemanticConfig (NodeBuilder $nodeBuilder)
| Adds fieldType semantic configuration definition. More...
Public Member Functions inherited from eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ParserInterface
| addSemanticConfig (NodeBuilder $nodeBuilder)
| Adds semantic configuration definition. More...
Public Member Functions inherited from eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\HookableConfigurationMapperInterface
| preMap (array $config, ContextualizerInterface $contextualizer)
| This method is called by the ConfigurationProcessor before looping over available scopes. More...
| postMap (array $config, ContextualizerInterface $contextualizer)
| This method is called by the ConfigurationProcessor after looping over available scopes. More...
Public Member Functions inherited from eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ConfigurationMapperInterface
| mapConfig (array &$scopeSettings, $currentScope, ContextualizerInterface $contextualizer)
| Does semantic config to internal container parameters mapping for $currentScope. More...

## Detailed Description

Definition at line 11 of file FieldTypeParserInterface.php.

## Member Function Documentation

## ◆ addFieldTypeSemanticConfig()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\FieldTypeParserInterface::addFieldTypeSemanticConfig | ( | NodeBuilder | $nodeBuilder | ) |

Adds fieldType semantic configuration definition.

Parameters

  \Symfony\Component\Config\Definition\Builder\NodeBuilder | $nodeBuilder | Node just under ezpublish.system.<siteaccess>.fieldtypes.<identifier>

Implemented in eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\FieldType\RichText, and eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\FieldType\ImageAsset.

Referenced by eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\AbstractFieldTypeParser\addSemanticConfig().

## ◆ getFieldTypeIdentifier()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\FieldTypeParserInterface::getFieldTypeIdentifier | ( |  | ) |

Returns the fieldType identifier the config parser works for.

Required to create configuration node under system.<siteaccess>.fieldtypes.

Returns
  string

Implemented in eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\FieldType\RichText, and eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\FieldType\ImageAsset.

Referenced by eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\AbstractFieldTypeParser\addSemanticConfig().

The documentation for this interface was generated from the following file:

- FieldTypeParserInterface.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.